#
# spec file for package perl-Qt (Version 3.006)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake kde3-devel-packages perl qt3-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils cracklib expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel mesa mesaglut mesaglut-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         perl-Qt
Version:      3.006
Release:      209
Provides:     PerlQt Qt.pm perl_qt
Obsoletes:    perl_qt
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      GPL
URL:          http://perlqt.sourceforge.net
Summary:      Perl Qt Qt module for Perl
Source:       PerlQt-%{version}.tar.bz2
Patch0:       PerlQt-%{version}.diff
Patch1:       PerlQt-%{version}-kdedirs.diff
Patch2:       PerlQt-%{version}-optimize.diff
Patch3:       PerlQt-%{version}-fixbuild.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Perl Qt lets you use the Qt widgets from within an Perl application.



Authors:
--------
    Ashley Winters <jql@accessone.com>

%prep
%setup -n PerlQt-%{version}
%patch0
%patch1
%patch2
%patch3

%build
%{suse_update_config -f}
autoreconf -f
CFLAGS="$RPM_OPT_FLAGS -Wall" \
CXXFLAGS="$RPM_OPT_FLAGS -Wall -fmessage-length=0" \
OPTIMIZE="$RPM_OPT_FLAGS -Wall -fmessage-length=0" \
	./configure \
	--prefix=/opt/kde3 \
	--with-qt-dir=/usr/lib/qt3 \
	--with-qt-libraries=/usr/lib/qt3/%{_lib} \
	--with-kde-libraries=/opt/kde3/%{_lib}
make
# simple test
LD_LIBRARY_PATH="$PWD/smoke/qt/.libs/" perl -I ./PerlQt/blib/lib -I ./PerlQt/blib/arch/auto/Qt -m'Qt' -e "exit"

%install
rm -rf $RPM_BUILD_ROOT
cd PerlQt
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
cd ../puic
make DESTDIR=$RPM_BUILD_ROOT install
cd ../smoke
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog README TODO doc PerlQt/examples PerlQt/tutorials
%{perl_vendorarch}/Qt.pm
%{perl_vendorarch}/Qt
%{perl_vendorarch}/auto/Qt
%{_bindir}/*
/opt/kde3/bin/puic
/opt/kde3/include/smoke.h
/opt/kde3/%_lib/libsmokeqt.*
/var/adm/perl-modules/%{name}

%changelog -n perl-Qt
* Fri Oct 31 2003 - ro@suse.de
- fix shell quoting in generate.pl.in (#32835)
  (fixes empty libsmokeqt.so.1)
* Tue Aug 26 2003 - ro@suse.de
- install libsmokeqt as well
* Mon Aug 25 2003 - ro@suse.de
- fix regenerating smoke files
- builds now without kdebindings3-perl
* Sat Aug 23 2003 - ro@suse.de
- remove deleted package kdebindings3-perl from neededforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 22 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Thu May 22 2003 - mjancar@suse.cz
- fix usage of $RPM_OPT_FLAGS
- package omited pqtapi and pqtsh
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Mon Mar 03 2003 - vbobek@suse.cz
- updated to 3.006 (solves bug #24421)
* Sun Dec 08 2002 - prehak@suse.cz
- added macros to find KDE libs properly
- minor changes in specfile
* Tue Dec 03 2002 - ro@suse.de
- add kdebindings3-perl to neededforbuild (for smoke)
* Thu Nov 07 2002 - ray@suse.de
- update to version 3.002
- new source location: http://perlqt.infonium.com/
* Fri Aug 09 2002 - mls@suse.de
- use CopSTASH to make it work with threaded perl-5.8
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Mon Jul 01 2002 - olh@suse.de
- use RPM_OPT_FLAGS for optimize, build with -mminimal-toc on ppc64
* Thu May 23 2002 - meissner@suse.de
- %%_lib fixes.
* Tue May 21 2002 - prehak@suse.cz
- fixed to compile with new gcc (created patch for Pig.pm)
* Mon Nov 12 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Mon Nov 12 2001 - rvasice@suse.cz
- update to version 2.105
* Tue Jul 31 2001 - rvasice@suse.cz
- rename package to perl-Qt
- ia64 compile fix
* Thu Jul 12 2001 - rvasice@suse.cz
- fixed compilation problem
- added buildroot
* Tue May 29 2001 - ro@suse.de
- fix changelog entry
* Sat Nov 25 2000 - schwab@suse.de
- Compile with -fno-operator-names.
* Thu Sep 21 2000 - ro@suse.de
- fixed for perl-5.6
- bzipped sources
* Fri Jan 21 2000 - ro@suse.de
- fixed filelist
* Fri Oct 29 1999 - kukuk@suse.de
- fix spec file filelist for other architectures then Intel
- Fix QPixmap.xs for Alpha
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Mar 19 1999 - mb@suse.de
- first initial version of Perl Qt 1.0.6
